<!DOCTYPE html>
<html>

<head>
	<meta charset="UTF-8">
	<title>SWG Simple Launcher</title>
</head>

<body>
	<h3>Server Browser</h3>

	<table style="width: 100%;">
		<tr>
            <td style="width: 30%;">
                <select id="clientList" style="width: 100%"></select>
            </td>
            <td style="width: 50%;">
				<select id="serverList" style="width: 100%"></select>
            </td>
			<td style="width: 10%;">
				<button id="removeServer">&minus;</button>
			</td>
			<td style="width: 10%;">
				<button id="addServer">&plus;</button>
			</td>
		</tr>
		<tr>
			<td colspan="3">
				<span style="font-weight: bold;">Status:</span> <span id="serverStatus" style="font-style: italic;"></span>
			</td>
		</tr>
    </table>

    <h3>Settings</h3>

    <table style="width: 100%;">
		<tr>
			<td colspan="3" style="text-align: center;">
				<button id="manageClients">Manage Clients</button>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr>
			<td style="font-size: 0.8em;">
				<input id="runInBackground" type="checkbox"> Keep launcher open in background
			</td>
		</tr>
		<tr>
			<td>
				<input id="multipleInstances" type="checkbox"> Allow multiple instances
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr>
			<td colspan="3" style="text-align: center;">
				<button id="verify">Verify Integrity</button>
				<button id="launch">Launch Game</button>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr>
			<td colspan="3">
				<div id="verifyProgressBackground" style="width: 100%; background-color: grey;" hidden>
					<div id="verifyProgressForeground" style="vertical-align: bottom; width: 1%; height: 10px; background-color: green;"></div>
				</div>
			</td>
		</tr>
	</table>

    <script src="./renderer.js"></script>
</body>

</html>